import React from 'react';
export declare type RowProps<T> = {
    row: T;
    cells: React.FC<{
        row: T;
    }>[];
    onClick?: (row: T) => () => any;
    expansionRender?: (row: T) => JSX.Element;
};
export declare function Row<T>({ row, cells, expansionRender }: RowProps<T>): JSX.Element;
declare type RowContextType = {
    isExpanded: boolean;
    toggleExpanded: () => void;
};
export declare const RowContext: React.Context<RowContextType>;
declare const RowProvider: React.Provider<RowContextType>;
export { RowProvider };
